// ===========================================================================
//	File:						CMPDIncludeView.h
// Version:					1.0 - Feb 1, 1996
//	Author:					Mike Shields (mshields@inconnect.com)
//							
//	Copyright 1996 Mike Shields. All rights reserved.
// ===========================================================================
//	CMPDIncludeView.cp		<- double-click + Command-D to see class declaration
//
// Class which controls the loading and disposing of a panel subpane in a
// multi-pane dialog.
// Also handles the relationship of getting and setting the data represented by 
// that particular panel

#pragma once

#include "CIncludeView.h"

class CMPDIncludeView : public CIncludeView
{
public:
	enum { class_ID = 'MPDi' };
	static CMPDIncludeView*
							CreateFromStream(LStream *inStream);
							
							CMPDIncludeView();
							CMPDIncludeView(LStream *inStream);
	virtual				~CMPDIncludeView();

	virtual void		LoadNewMPDPanel(ResIDT inPanelID, Handle inNewPanelData, 
												Handle inOldPanelData, Boolean inRefresh);
	virtual void		UseNewPanelData(Handle inNewPanelData, Boolean inRefresh);
	virtual void		GetPanelData(Handle inDataToReplace);
	virtual Boolean	ValidatePanel(void);
	virtual Boolean	WantDefaultsButton(void);
	virtual Boolean	WantRevertButton(void);
};
