// ===========================================================================
//	File:						CMPDPanelSelectTable.h
// Version:					1.0 - Feb 1, 1996
//	Author:					Mike Shields (mshields@inconnect.com)
//							
//	Copyright 1996 Mike Shields. All rights reserved.
// ===========================================================================
//	CMPDPanelSelectTable.cp		<- double-click + Command-D to see class definition
//
// Displays a scrolling list of icons and title strings. Also acts 
// like a control and broadcasts a hit message when an item changes.

#pragma once

#include <LTableView.h>
#include <LCommander.h>
#include "CMPDPanelSelectControl.h"
#include "CTargetable.h"

class	CMPDPanelSelectTable : public LTableView,
										public LCommander,
										public CMPDPanelSelectControl,
										public CTargetable
{
public:
	enum { class_ID = 'MPDt' };
	static CMPDPanelSelectTable*
							CreateFromStream(LStream *inStream);
	
							CMPDPanelSelectTable();
							CMPDPanelSelectTable(const SPaneInfo &inPaneInfo,
													const SViewInfo &inViewInfo, ResIDT inTextTraitsID);
							CMPDPanelSelectTable(LStream *inStream);
	virtual				~CMPDPanelSelectTable();

	virtual void		SelectionChanged(void);
	virtual Boolean	HandleKeyPress(const EventRecord &inKeyEvent);
	virtual void		DoNavigationKey(const EventRecord&inKeyEvent);
	virtual Boolean	ObeyCommand(CommandT inCommand, void* ioParam);
	virtual void		InsertPanelIDs(MPDPtr inPanelIDData);
	virtual void		SelectPanelID(PanelIDIndexT inPanelID);

	virtual void		ScrollCellIntoFrame(const STableCell &inCell);
	virtual void		HiliteSelection(Boolean inActively, Boolean inHilite);

protected:
	virtual void		ClickSelf(const SMouseDownEvent &inMouseDown);
	virtual void		DrawCell(const STableCell &inCell, const Rect &inLocalRect);
	virtual void		DrawCellSelf(const STableCell &inCell, const Rect &inLocalRect,
											Boolean inHilite);
	virtual void		HiliteCellActively(const STableCell &inCell,
													Boolean inHilite);
	virtual void		HiliteCellInactively(const STableCell &inCell,
														Boolean inHilite);

	virtual PanelIDIndexT	
							GetCurrentPanelID(void) const;
	virtual void		BeTarget(void);
	virtual void		DontBeTarget(void);
			
	ResIDT				mTextTraitsID;
};

struct	SIconTableRec 
{
	ResIDT	iconID;
	Str15		name;
};
