// ===========================================================================
//	File:						CIncludeView.h
// Version:					1.0 - Feb 1, 1996
//	Author:					Mike Shields (mshields@inconnect.com)
//							
//	Copyright 1996 Mike Shields. All rights reserved.
// ===========================================================================
//	CIncludeView.cp		<- double-click + Command-D to see class declaration
//
// Class which controls the loading and disposing of a subpane.

#pragma once

#include <LView.h>
#include <PP_Types.h>

class CIncludeView : public LView
{
public:
	enum { class_ID = 'Incl' };
	static CIncludeView*
						CreateFromStream(LStream *inStream);
						
						CIncludeView();
						CIncludeView(const CIncludeView &inOriginal);
						CIncludeView(const SPaneInfo &inPaneInfo, const SViewInfo &inViewInfo, 
										ResIDT inStartingPane);
						CIncludeView(LStream *inStream);
	virtual			~CIncludeView();

	virtual void	IncludeView(ResIDT inPaneID, Boolean inRefresh);
	
protected:
	virtual void	FinishCreateSelf(void);
	virtual void	DisposeSubPane(void);
	virtual void	LoadSubPane(void);
	
	ResIDT			mPaneID;
	LPane*			mCurrentIncludedPane;
};
