// ===========================================================================
//	File:						CTargeterBorder.h
// Version:					1.0 - Feb 1, 1996
//	Author:					Mike Shields (mshields@inconnect.com)
//							
//	Copyright 1996 Mike Shields. All rights reserved.
// ===========================================================================
//	CTargeterBorder.cp		<- double-click + Command-D to see class definition
//
// Class providing a "focus box" around a pane

#pragma once

#include <LView.h>

class CTargetable;
class LStream;

class	CTargeterBorder : public LView 
{
public:
	enum { class_ID = 'Trgt' };
	
	static CTargeterBorder*
					CreateFromStream(LStream* inStream);
					
					CTargeterBorder();
					CTargeterBorder(LStream *inStream);
	virtual		~CTargeterBorder();
	
	void			FinishCreateSelf(void);

	void			Refresh();
	void			DontRefresh(Boolean inOKIfHidden = false);
	void			ShowFocus();
	void			HideFocus();

protected:
	void			DrawSelf();	
	
	RgnHandle	GetBoxRegion(const Rect &inFrame,
									const Rect &inRevealed) const;
	
	CTargetable*	mTarget;
	PaneIDT			mTargetedPaneID;
	Boolean			mIsTargeted;
};
